Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum StandardPreferencePages

    java.lang.Object
      java.lang.Enum<StandardPreferencePages>
          org.eclipse.gmf.codegen.gmfgen.StandardPreferencePages

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StandardPreferencePages>, org.eclipse.emf.common.util.Enumerator

    public enum StandardPreferencePages

extends java.lang.Enum<StandardPreferencePages>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Standard Preference Pages', and utility methods for working with them.

See Also:
  `GMFGenPackage.getStandardPreferencePages()`
** Generated **
Model:

Enum Constant Summary
`APPEARANCE_LITERAL` The 'Appearance' literal object
`CONNECTIONS_LITERAL` The 'Connections' literal object
`GENERAL_LITERAL` The 'General' literal object
`PATHMAPS_LITERAL` The 'Pathmaps' literal object
`PRINTING_LITERAL` The 'Printing' literal object
`RULERS_AND_GRID_LITERAL` The 'Rulers And Grid' literal object

Field Summary
`static int` `APPEARANCE` The 'Appearance' literal value
`static int` `CONNECTIONS` The 'Connections' literal value
`static int` `GENERAL` The 'General' literal value
`static int` `PATHMAPS` The 'Pathmaps' literal value
`static int` `PRINTING` The 'Printing' literal value
`static int` `RULERS_AND_GRID` The 'Rulers And Grid' literal value
`static java.util.List<StandardPreferencePages>` `VALUES` A public read-only list of all the 'Standard Preference Pages' enumerators

Method Summary
`static StandardPreferencePages` `get(int value)` Returns the 'Standard Preference Pages' literal with the specified integer value
`static StandardPreferencePages` `get(java.lang.String literal)` Returns the 'Standard Preference Pages' literal with the specified literal value
`static StandardPreferencePages` `getByName(java.lang.String name)` Returns the 'Standard Preference Pages' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static StandardPreferencePages` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StandardPreferencePages[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GENERAL_LITERAL

    public static final StandardPreferencePages GENERAL_LITERAL

  The 'General' literal object.

  See Also:
    `GENERAL`
  ** Generated **
  Ordered:

### APPEARANCE_LITERAL

    public static final StandardPreferencePages APPEARANCE_LITERAL

  The 'Appearance' literal object.

  See Also:
    `APPEARANCE`
  ** Generated **
  Ordered:

### CONNECTIONS_LITERAL

    public static final StandardPreferencePages CONNECTIONS_LITERAL

  The 'Connections' literal object.

  See Also:
    `CONNECTIONS`
  ** Generated **
  Ordered:

### PRINTING_LITERAL

    public static final StandardPreferencePages PRINTING_LITERAL

  The 'Printing' literal object.

  See Also:
    `PRINTING`
  ** Generated **
  Ordered:

### RULERS_AND_GRID_LITERAL

    public static final StandardPreferencePages RULERS_AND_GRID_LITERAL

  The 'Rulers And Grid' literal object.

  See Also:
    `RULERS_AND_GRID`
  ** Generated **
  Ordered:

### PATHMAPS_LITERAL

    public static final StandardPreferencePages PATHMAPS_LITERAL

  The 'Pathmaps' literal object.

  See Also:
    `PATHMAPS`
  ** Generated **
  Ordered:

Field Detail

### GENERAL

    public static final int GENERAL

  The 'General' literal value.

  If the meaning of 'General' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GENERAL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="General"

### APPEARANCE

    public static final int APPEARANCE

  The 'Appearance' literal value.

  If the meaning of 'Appearance' literal object isn't clear, there really should be more of a description here...

  See Also:
    `APPEARANCE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Appearance"

### CONNECTIONS

    public static final int CONNECTIONS

  The 'Connections' literal value.

  If the meaning of 'Connections' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONNECTIONS_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Connections"

### PRINTING

    public static final int PRINTING

  The 'Printing' literal value.

  If the meaning of 'Printing' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRINTING_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Printing"

### RULERS_AND_GRID

    public static final int RULERS_AND_GRID

  The 'Rulers And Grid' literal value.

  If the meaning of 'Rulers And Grid' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RULERS_AND_GRID_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="RulersAndGrid"

### PATHMAPS

    public static final int PATHMAPS

  The 'Pathmaps' literal value.

  If the meaning of 'Pathmaps' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PATHMAPS_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Pathmaps"

### VALUES

    public static final java.util.List<StandardPreferencePages> VALUES

  A public read-only list of all the 'Standard Preference Pages' enumerators.

  ** Generated **

Method Detail

### values

    public static final StandardPreferencePages[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StandardPreferencePages c : StandardPreferencePages.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StandardPreferencePages valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static StandardPreferencePages get(java.lang.String literal)

  Returns the 'Standard Preference Pages' literal with the specified literal value.

  ** Generated **

### getByName

    public static StandardPreferencePages getByName(java.lang.String name)

  Returns the 'Standard Preference Pages' literal with the specified name.

  ** Generated **

### get

    public static StandardPreferencePages get(int value)

  Returns the 'Standard Preference Pages' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<StandardPreferencePages>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.